Subject: RE: Case sensitivity in filenames
From: [email-masked] (Moore, Paul)

4 Jan 1999 05:33:46 -0800
Message-ID: <c=UK%a=_%p=Origin-it%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Larry Hall'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>,
        "'Gnu Win32'"
	 <[email-masked]>

Ugh. Frankly, given that the Win32 filesystems cannot (except in a
peculiar subcase of NTFS designed to support the POSIX subsystem)
distinguish filenames which differ only in case, I view this as an
essential aspect of ANY tool running under Windows. (Unix compatibility
or no).

Regrettably, I think this blows cygwin out of the water for me, yet
again...

Paul.

>----------
>From: 	Larry Hall[SMTP:[email-masked]]
>Sent: 	23 December 1998 18:22
>To: 	Moore, Paul
>Subject: 	Re: Case sensitivity in filenames
>
>You're not missing anything.  The tools are case-sensitive.  They are
>a straight port from the ones provided on UNIX platforms.  More work
>would need to be done on the tools and/or cygwin to make them be
>otherwise.  I agree that this is a good thing to state in the FAQ.
>You might suggest it directly to [email-masked].
>
>Larry
>
>"Moore, Paul" wrote:
>> 
>> Hi,
>> I can't believe that this isn't a FAQ, but I've looked and can't find
>> it. I've just installed cygwin B20.1, and it appears that the commands
>> are treating files case-sensitively. In particular, if I do (from
>> COMMAND.COM) "ls *.zip" I get a list of zip files in the current
>> directory. But if I do "ls *.ZIP" I get nothing! Now, I understand that
>> Unix filenames are case sensitive, but Windows ones aren't and so I
>> would expect the command to produce the same results in both cases (or
>> at least for there to be an option to make this happen). But it appears
>> not...
>> 
>> Can anybody suggest what I'm missing? My CYGWIN environment variable is
>> not set at all. Should I set something in it? The documentation doesn't
>> show anything which looks relevant.
>> 
>> Thanks,
>> Paul Moore
>> 
>> -
>> For help on using this list (especially unsubscribing), send a message to
>> "[email-masked]" with one line of text: "help".
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".